Bug 247007 - emulators/mgba: Update to 0.8.1
Summary: emulators/mgba: Update to 0.8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Hiroki Tagato
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-06-05 16:20 UTC by James Wright
Modified: 2020-06-12 10:58 UTC (History)
2 users (show)

See Also:
greg: maintainer-feedback+


Attachments
mgba.diff (1.59 KB, patch)
2020-06-05 16:20 UTC, James Wright
no flags Details | Diff
mgba.diff (1.88 KB, patch)
2020-06-05 17:41 UTC, James Wright
no flags Details | Diff
mgba.diff (1.85 KB, patch)
2020-06-05 18:02 UTC, James Wright
no flags Details | Diff
mgba.diff (3.38 KB, patch)
2020-06-07 02:10 UTC, James Wright
no flags Details | Diff
mgba.diff (2.39 KB, patch)
2020-06-07 20:44 UTC, James Wright
no flags Details | Diff
mgba.diff (7.29 KB, patch)
2020-06-11 19:11 UTC, James Wright
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Wright 2020-06-05 16:20:36 UTC
Created attachment 215259 [details]
mgba.diff

Updated to latest release (0.8.1)

"mgba" works without any issues.

"mgba-qt" core dumps when I try to load any ROM, however I have the same exactly the same problem with the previous version (0.7.3), so it may be related to my QT install (I never use QT).
Comment 1 Greg V 2020-06-05 16:31:27 UTC
lgtm
Comment 2 James Wright 2020-06-05 16:34:48 UTC
Forgot to mention, does "games/libretro-mgba" not conflict with this port?

Both install the lib;
lib/libretro/mgba_libretro.so


Freshports;
https://www.freshports.org/search.php?query=mgba
Comment 3 Greg V 2020-06-05 16:41:07 UTC
(In reply to James Wright from comment #2)

Yeah, would be nice to add LIBRETRO_CONFLICTS_INSTALL=libretro-mgba
Comment 4 James Wright 2020-06-05 17:41:15 UTC
Created attachment 215268 [details]
mgba.diff
Comment 5 James Wright 2020-06-05 18:02:51 UTC
Created attachment 215275 [details]
mgba.diff
Comment 6 James Wright 2020-06-05 19:06:29 UTC
Just done some more testing;

"mgba-qt" seems to crash on my system when loading any ROM that is zipped. Unzipping the ROM manually and then loading the unzipped file works fine.

"mgba" works no problem with both zipped and unzipped ROMs.

Can you check if you have the same behaviour?
Comment 7 James Wright 2020-06-05 19:34:34 UTC
Submitted an issue upstream;
https://github.com/mgba-emu/mgba/issues/1777
Comment 8 James Wright 2020-06-07 02:10:31 UTC
Created attachment 215305 [details]
mgba.diff

Summary of changes included in mgba.diff;

* Updated mgba from 0.7.3 to 0.8.1

* Added DISCORD option to enable/disable Discord RPC support

* Added LIBRETRO_CONFLICTS_INSTALL=libretro-mgba

* Added patch to fix crash when loading ROM in mgba-qt (taken from upstream fix)
Comment 9 Greg V 2020-06-07 20:22:55 UTC
I'm not sure if the discord option would be useful. The Discord client doesn't support FreeBSD. It is possible to port electron apps now, but that one is proprietary so ehhhhhhh.
Comment 10 James Wright 2020-06-07 20:33:58 UTC
Ok cool, I'll change the diff to disable Discord in the build :-)
Comment 11 James Wright 2020-06-07 20:44:21 UTC
Created attachment 215339 [details]
mgba.diff

Updated diff to remove Discord option as requested (and set to always off in the build).
Comment 12 Hiroki Tagato freebsd_committer 2020-06-11 06:54:35 UTC
I tried to build the port with poudriere using default options and ended up with the following plist error:


====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: include/mgba-util/arm-algo.h
Error: Orphaned: include/mgba-util/circle-buffer.h
Error: Orphaned: include/mgba-util/common.h
Error: Orphaned: include/mgba-util/configuration.h
Error: Orphaned: include/mgba-util/crc32.h
Error: Orphaned: include/mgba-util/elf-read.h
Error: Orphaned: include/mgba-util/export.h
Error: Orphaned: include/mgba-util/formatting.h
Error: Orphaned: include/mgba-util/gui.h
Error: Orphaned: include/mgba-util/gui/file-select.h
(snip)


It appears pkg-plist needs an update.
Comment 13 James Wright 2020-06-11 19:11:38 UTC
Created attachment 215467 [details]
mgba.diff

Updated mgba.diff with regenerated pkg-plist as requested! :-)
Comment 14 commit-hook freebsd_committer 2020-06-12 10:57:53 UTC
A commit references this bug:

Author: tagattie
Date: Fri Jun 12 10:57:10 UTC 2020
New revision: 538596
URL: https://svnweb.freebsd.org/changeset/ports/538596

Log:
  - Update to 0.8.1
  - Add LIBRETRO_CONFLICTS_INSTALL=libretro-mgba
  - Add patch to fix crash when loading ROM in mgba-qt (taken from upstream fix)

  PR:		247007
  Submitted by:	James Wright <james.wright@digital-chaos.com>
  Approved by:	greg@unrelenting.technology (maintainer), mentors (implicit)
  Changelog:	https://github.com/mgba-emu/mgba/blob/0.8.1/CHANGES

Changes:
  head/emulators/mgba/Makefile
  head/emulators/mgba/distinfo
  head/emulators/mgba/files/
  head/emulators/mgba/files/patch-src_platform_qt_CoreManager.cpp
  head/emulators/mgba/pkg-plist
Comment 15 Hiroki Tagato freebsd_committer 2020-06-12 10:58:24 UTC
Committed, thanks!